@import "src/@fuse/scss/fuse";

:host {

    .header {

        .search-input-wrapper {
            max-width: 680px;
        }

        @include media-breakpoint-down(xs) {
            height: 176px !important;
            min-height: 176px !important;
            max-height: 176px !important;
        }
    }

    .top-bg {
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        left: 0;
        height: 200px ;
        background-image: $top-bg-image;
        background-size: cover;

        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .products-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, .12);
        overflow: auto;

        .mat-header-row {
            min-height: 64px;
        }

        .product {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
        }

        .mat-column-status {
            text-align: center;
            align-items: center;
        }
      
        
        .mat-column-statusColor {
            flex: 0 1 5px;
            padding-left: 4px;
        }

        .mat-column-space {
            flex: 0 1 5px;
            padding-left: 10px;
        }

        // .mat-column-id {
        //     flex: 0 1 150px;
        // }

        // .mat-column-status {
        //     flex: 0 1 120px;
        // }                

        // .active-icon {
        //     border-radius: 50%;
        // }
    }
}


.offer {
    height: 400px;
    width: 200px;
}

.mat-card-title {
    flex-wrap: nowrap;
}


// @import "src/@fuse/scss/fuse";

// contacts-contact-list {
//     display: flex;
//     flex: 1 1 auto;
//     width: 100%;

//     .mat-table {
//         width: 100%;
//         background: transparent;
//         box-shadow: none;

//         .mat-column-checkbox {
//             flex: 0 1 64px;
//             padding-left: 18px;
//         }

//         .mat-column-avatar {
//             flex: 0 1 64px;
//         }

//         .mat-column-buttons {
//             flex: 0 1 80px;
//         }

//         .mat-row {
//             position: relative;
//             cursor: pointer;
//             padding: 8px;

//             .mat-cell {
//                 min-width: 0;

//                 &.mat-column-detail-button {
//                     flex: 0 1 auto;
//                     padding: 0 24px 0 0;

//                     @include media-breakpoint('gt-md') {
//                         display: none;
//                     }
//                 }
//             }
//         }
//     }
// }

// #add-contact-button {
//     position: absolute;
//     bottom: 12px;
//     right: 12px;
//     padding: 0;
//     z-index: 99;
// }